%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 073c3f223d89016c14bab957230ac3b7

Summary: Clam Anti-Virus on the KDE Desktop
Name: klamav
Version: 0.41.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://klamav.sourceforge.net
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-source.tar.gz %{md5sum_src0}
Source1: %{name}-ja.po
Source2: %{name}rc
Patch0: %{name}-0.41-desktop.patch
Patch1: %{name}-0.41-default-db-dir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: clamav
Requires: lha
Requires: unrar
Requires: unzip
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: clamav
BuildPreReq: curl-devel
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: gmp-devel
BuildPreReq: libtool

%description
ClamAV Anti-Virus protection for the KDE desktop.

%prep
%setup -q -n %{name}-%{version}-source/%{name}-%{version}

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .clamav-db-path

# for Japanese
cp %{SOURCE1} po/ja.po

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install klamavrc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/config/

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/klamav.png %{buildroot}%{_datadir}/pixmaps/klamav.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applnk/Utilities/klamav.desktop

# fix permission
chmod a+x %{buildroot}%{_bindir}/ScanWithKlamAV

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/ScanWithKlamAV
%{_bindir}/klamarkollon
%{_bindir}/klamav
%{_bindir}/klamd
%{_bindir}/klammail
%{_datadir}/applications/kde/klamav.desktop
%{_datadir}/apps/klamav
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop
%{_datadir}/config/klamavrc
%{_datadir}/config.kcfg/klamavconfig.kcfg
%{_datadir}/doc/HTML/*/klamav02
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/klamav.mo
%{_datadir}/pixmaps/klamav.png

%changelog
* Thu Jul 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.41.1-1m)
- version 0.41.1

* Wed Jul 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.41-7m)
- set archivers
- update Japanese translation

* Sun Mar 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.41-6m)
- update Japanese translation

* Tue Mar 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.41-5m)
- update Japanese translation

* Mon Mar 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.41-4m)
- add Japanese translation

* Mon Mar 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.41-3m)
- update desktop.patch (add Japanese message to klamav-dropdown.desktop)

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.41-2m)
- update desktop.patch (modify GenericName[ja])

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.41-1m)
- initial package for Momonga Linux
